KILL(1)

NAME
kill - terminate or signal a process

SYNOPSIS
kill [-s signal_name] pid ...

kill -l [exit_status]

kill -signal_name pid ...

kill -signal_number pid ...

DESCRIPTION
The kill utility sends a signal to the processes specified by the pid operand(s).

The options are as follows:

-s  A symbolic signal name specifying the signal to be sent instead of the default TERM.

-l  If no operand is given, list the signal names; otherwise, write the signal name corresponding to exit_status.

-signal_name
    A symbolic signal name specifying the signal to be sent instead of the default TERM.

-signal_number
    A non-negative decimal integer, specifying the signal to be sent instead of the default TERM.

See the kill(2) man page for information on pids that have special meanings.

Some of the more commonly used signals:
    1 HUP (hang up)
    2 INT (interrupt)
    3 QUIT (quit)
    6 ABRT (abort)
    9 KILL (non-catchable, non-ignorable kill)
    14 ALRM (alarm clock)
    15 TERM (software termination signal)
    30 USR1 (user defined signal 1)
    31 USR2 (user defined signal 2)

kill is a built-in to gsh(1); it allows job specifiers of the form ``%...'' as arguments so process id's are not as often used as kill arguments.

SEE ALSO
gsh(1), ps(1), kill(2), signal(2)

STANDARDS
The kill function is expected to be POSIX-2 compatible.

VERSION
This manual page documents kill version 1.0.

ATTRIBUTIONS
This command was ported from FreeBSD source code for distribution with GNO/ME 2.0.6.